Get a list of discovered apps from the Advisor.

Prev Next
Get
/discovered-apps

Get a list of discovered apps from the Advisor. Requires a license.

Security
HTTP
Type bearer
Query parameters
query
string

Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific.

range
string

'Range string to limit the result list. Format: -. 3-10 means the items between the (including) 3rd and the 10th will be returned. Defaults to all objects.'

Example0-10
orderBy
string

The field name to sort the result list. Supported fields vary from object to object. Defaults to certain field depending on the object type.

Examplename
descending
string

Whether the sorting is applied descending or ascending. Defaults to certain field depending on the object type.

filterBy

Filters the result list by the given field and value. Supported fields vary from API to API. The filters can be combined with each other as well as the generic query parameter. The given value is checked for inclusion.

object
property*
string additionalProperties
Example{ "name": "us-east", "tags": "aws" }
Responses
200

List of discovered apps.

Expand All
object
range
string

The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned.

Example0-30/54
orderBy
string

The field name used to sort the list.

Examplename
descending
boolean

Whether the sorting is applied descending or ascending.

queries
Array of string

The queries applied to the list.

string
totalCount
integer

The total readable count of entities. Not influenced by the query.

Example328
filterBy
Array of object (FilterBy)

The filters applied to the list.

object
name
string

The field name the filter is applied to.

Examplename
value
string

The value used for comparison.

ExampleAWS
data
Array of object (App)

List of discovered apps.

object

Represents a discovered app.

id
string

ID of the app.

Example181ff4c94fdce2a5
host
string

Host of the app.

Exampleservice.company.com
appType
string

Type of the app.

ExampleMyApp
appTypePorts
Array of string

List of ports configured for the app type.

Example[ "80", "443", "20300-20400" ]
string
ports
Array of string

List of ports associated with this app type.

Example[ "80", "20300-20400" ]
string
portType
string

Port type of the app.

ExampleHTTP
usersCount
integer

Total user count for the app.

Example1200
lastAccessedAt
string (date-time)

Timestamp of the last time the app was accessed by a user.

entitlementName
string

The name of the entitlement generated by using Application Discovery.

Exampleentitlement
lastModified
string (date-time)

Timestamp of the last modification to this discovered app made through the application discovery page.

originatingEntitlements
Array of object (OriginatingEntitlement)

The entitlements that were used to access the app

object

An entitlement that was used to access the application

name
string

Name of the entitlement

Exampleentitlement
id
string (uuid)
ips
Array of string

The IPs used to access the app.

string
Example10.98.10.40
allOriginatingEntitlements
Array of object (OriginatingEntitlement)

The entitlements that were used to access the app

object

An entitlement that was used to access the application

name
string

Name of the entitlement

Exampleentitlement
id
string (uuid)
401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.